{% extends 'base.html' %}
{% block stylesheet %}
    <link rel="stylesheet" href="/static/css/master.css">
{% endblock stylesheet %}
{% block content %}
   	<div class="container h-100">
		<div class="d-flex justify-content-center h-100">
			<div class="user_card">
				<div class="d-flex justify-content-center">
                    <h3 id="form-title">LOGIN</h3>
				</div>
                {% for message in messages %}
                    <p id="form-title">{{ message }}</p>
                {% endfor %}
				<div class="d-flex justify-content-center form_container">
					<form method="POST" action="">
                        {% csrf_token %}
						<div class="input-group mb-3">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-user"></i></span>
							</div>
							<input type="text" name="username" placeholder="Username..." class="form-control">
						</div>
						<div class="input-group mb-2">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-key"></i></span>
							</div>
								<input type="password" name="password" placeholder="Password..." class="form-control" >
						</div>

							<div class="d-flex justify-content-center mt-3 login_container">
				 				<input class="btn login_btn" type="submit" value="Login">
				   			</div>
					</form>

				</div>

				<div class="mt-4">
					<div class="d-flex justify-content-center links">
						Don't have an account? <a href="{% url 'signup' %}" class="ml-2">Sign Up</a>
					</div>

				</div>
			</div>
		</div>
	</div>
{% endblock content %}
{% block script %}
    //Query All input fields
    var form_fields = document.getElementsByTagName('input')
    form_fields[1].placeholder='Username..';
    form_fields[2].placeholder='Email..';
    form_fields[3].placeholder='Enter password...';
    form_fields[4].placeholder='Re-enter Password...';
    for (var field in form_fields){
    form_fields[field].className += ' form-control'
    }
{% endblock script %}

